<?php
header("Content-type: text/css");
/*
Theme Name: 2010 Translucence - Parent
Theme URI: http://segueproject.org/themes/
Description: Flexible and extensible theme with a WYSIWYG theme editor that includes options for 1-3 sidebars, custom header image and a dozen variations.
Version: 2.0
Author: Alex Chapin
Author URI: http://www.alexchapin.com
Tags: custom-colors, custom-header, theme-options, one-column, two-columns, three-columns


/* =Reset default browser CSS. Based on work by Eric Meyer: http://meyerweb.com/eric/tools/css/reset/index.html
-------------------------------------------------------------- */
?>

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
	background: transparent;
	border: 0;
	margin: 0;
	padding: 0;
	vertical-align: baseline;
}
body {
	line-height: 1;
}
h1, h2, h3, h4, h5, h6 {
	clear: both;
	font-weight: normal;
}
ol, ul {
	list-style: none;
}
blockquote {
	quotes: none;
}
blockquote:before, blockquote:after {
	content: '';
	content: none;
}
del {
	text-decoration: line-through;
}
/* tables still need 'cellspacing="0"' in the markup */
table {
	border-collapse: collapse;
	border-spacing: 0;
}
a img {
	border: none;
}


/* =Fonts and links
* Add Translucence child default Site title and headers fonts and link color
-------------------------------------------------------------- */
body,
input,
textarea,
.page-title span,
.pingback a.url {
	
}
h3#comments-title,
h3#reply-title,
#access .menu,
#access div.menu ul,
#cancel-comment-reply-link,
.form-allowed-tags,
#site-info,
#site-title,
#wp-calendar,
.comment-meta,
.comment-body tr th,
.comment-body thead th,
.entry-content label,
.entry-content tr th,
.entry-content thead th,
.entry-meta,
.entry-title,
.entry-utility,
#respond label,
.navigation,
.page-title,
.pingback p,
.reply,
.widget-title,
.wp-caption-text,
input[type=submit] {
	font-family: "Helvetica Neue", Arial, Helvetica, "Nimbus Sans L", sans-serif;
}

pre {
	font-family: "Courier 10 Pitch", Courier, monospace;
}
code {
	font-family: Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace;
}

/* Translucence default link color  */
a:link {
	color: #003366;
}
a:visited {
	color: #000000;
}
a:active,
a:hover {
	color: #003366;
}

#branding #site-title {
	font-family: "Helvetica Neue", Arial, Helvetica, "Nimbus Sans L", sans-serif;
	font-weight: normal;
	border-bottom: none;
	text-shadow: #444444 1px 1px 2px;
}

#site-title a {
	color: #003366;
	display: block;
	padding-top: 25px;
	padding-left: 10px;
	margin-bottom: 7px;
	text-shadow: #444444 1px 1px 2px;
}
 
#site-title a:hover {
	display: block;
	padding-top: 25px;
	padding-left: 10px;
	color: 003366;
	border-bottom: none;
}
 
.headerblock #site-description {
	font-family: "Helvetica Neue", Arial, Helvetica, "Nimbus Sans L", sans-serif;
	display: block;
	padding-left: 15px;
	color: #333333;
	font-size: 14px;
}

.widget-title {
	font-family: "Helvetica Neue", Arial, Helvetica, "Nimbus Sans L", sans-serif;
	color: #036;
	font-size: 18px;
	font-variant: small-caps;
	font-weight: normal;
	padding: 5px;
}

#content .entry-title {
	font-family: "Helvetica Neue", Arial, Helvetica, "Nimbus Sans L", sans-serif;
	color: #036;
	font-size: 21px;
	font-weight: normal;
	line-height: 1.3em;
	margin-bottom: 0;	
	display: block;
	text-align: left;
	text-shadow: #CCC 0px 0px 0em;
	border-bottom: 1px solid #CCCCCC;
}

#content h1,
#content h2,
#content h3,
#content h4,
#content h5,
#content h6 {
	font-family: "Helvetica Neue", Arial, Helvetica, "Nimbus Sans L", sans-serif;
	font-weight: normal;
	line-height: 1.5em;
	margin: 0 0 20px 0;
}

#content,
#content input,
#content textarea {
	color: #333;
	font-size: 14px;
	line-height: 20px;
	text-align: left;
}


.navigation {
	font-size: 12px;
	line-height: 18px;
	overflow: hidden;
}

/* End Fonts and Links
-------------------------------------------------------------- */

/* =Global Elements
* (see Translucence default css below)
-------------------------------------------------------------- */

/* Main global 'theme' and typographic styles */

body,
input,
textarea {
	color: #666;
	font-size: 12px;
	line-height: 18px;
}
hr {
	background-color: #e7e7e7;
	border: 0;
	clear: both;
	height: 1px;
	margin-bottom: 18px;
}

/* Text elements */
p {
	margin-bottom: 18px;
}
ul {
	list-style: square;
	margin: 0 0 18px 1.5em;
}
ol {
	list-style: decimal;
	margin: 0 0 18px 1.5em;
}
ol ol {
	list-style: upper-alpha;
}
ol ol ol {
	list-style: lower-roman;
}
ol ol ol ol {
	list-style: lower-alpha;
}
ul ul,
ol ol,
ul ol,
ol ul {
	margin-bottom: 0;
}
dl {
	margin: 0 0 24px 0;
}
dt {
	font-weight: bold;
}
dd {
	margin-bottom: 18px;
}
strong {
	font-weight: bold;
}
cite,
em,
i {
	font-style: italic;
}
big {
	font-size: 131.25%;
}
ins {
	background: #ffc;
	text-decoration: none;
}
blockquote {
	font-style: italic;
	padding: 0 3em;
}
blockquote cite,
blockquote em,
blockquote i {
	font-style: normal;
}
pre {
	background: #f7f7f7;
	color: #222;
	line-height: 18px;
	margin-bottom: 18px;
	padding: 1.5em;
}
abbr,
acronym {
	border-bottom: 1px dotted #666;
	cursor: help;
}
sup,
sub {
	height: 0;
	line-height: 1;
	position: relative;
	vertical-align: baseline;
}
sup {
	bottom: 1ex;
}
sub {
	top: .5ex;
}
input[type="text"],
textarea {
	background: #f9f9f9;
	border: 1px solid #ccc;
	box-shadow: inset 1px 1px 1px rgba(0,0,0,0.1);
	-moz-box-shadow: inset 1px 1px 1px rgba(0,0,0,0.1);
	-webkit-box-shadow: inset 1px 1px 1px rgba(0,0,0,0.1);
	padding: 2px;
}


/* Text meant only for screen readers */
.screen-reader-text {
	position: absolute;
	left: -9000px;
}

/* End Global Elements
-------------------------------------------------------------- */


/* =General Content
-------------------------------------------------------------- */

#main {
	clear: both;
	overflow: hidden;
	padding: 1px 0 0 0;
}
#content {
	margin-bottom: 25px;
}

#content p,
#content ul,
#content ol,
#content dd,
#content pre,
#content hr {
	margin-bottom: 24px;
}
#content ul ul,
#content ol ol,
#content ul ol,
#content ol ul {
	margin-bottom: 0;
}
#content pre,
#content kbd,
#content tt,
#content var {
	font-size: 15px;
	line-height: 21px;
}
#content code {
	font-size: 13px;
}
#content dt,
#content th {
	color: #000;
}
#content h1,
#content h2,
#content h3,
#content h4,
#content h5,
#content h6 {
	color: #333;
	line-height: 1.5em;
	margin: 0 0 20px 0;
}
#content table {
	border: 1px solid #e7e7e7;
	margin: 0 -1px 24px 0;
	text-align: left;
	width: 100%;
}
#content tr th,
#content thead th {
	color: #888;
	font-size: 12px;
	font-weight: bold;
	line-height: 18px;
	padding: 9px 24px;
}
#content tr td {
	border-top: 1px solid #e7e7e7;
	padding: 6px 24px;
}
#content tr.odd td {
	background: #f2f7fc;
}
.hentry {
	margin: 0 0 48px 0;
}
.home .sticky {
	background: transparent;
	border-bottom: 3px solid #CCCCCC;
	margin-top: 2px;
	margin-left: -10px;
	margin-right: -10px;
	padding: 18px 20px;
}
.single .hentry {
	margin: 0 0 36px 0;
}
.page-title {
}
.page-title span {
	font-weight: normal;
}
.page-title a:link,
.page-title a:visited {

}
.page-title a:active,
.page-title a:hover {

}


#entry-author-info {
	border: 1px solid #CCCCCC;
	clear: both;
	font-size: 14px;
	line-height: 20px;
	margin: 24px 0;
	overflow: hidden;
	padding: 18px 20px;
}
#entry-author-info #author-avatar {
	background: #fff;
	border: 1px solid #e7e7e7;
	float: left;
	height: 60px;
	margin: 0 -104px 0 0;
	padding: 11px;
}
#entry-author-info #author-description {
	float: left;
	margin: 0 0 0 104px;
}
#entry-author-info h2 {
	color: #000;
	font-size: 100%;
	font-weight: bold;
	margin-bottom: 0;
}
.entry-utility {
	clear: both;
	color: #888;
	font-size: 12px;
	line-height: 18px;
}
.entry-meta a,
.entry-utility a {
	color: #036;
}
.entry-meta a:hover,
.entry-utility a:hover {
	color: #036;
}
#content .video-player {
	padding: 0;
}

/* additional entry-meta css */
.entry-meta abbr,
.entry-utility abbr {
	border: none;
}
.entry-meta abbr:hover,
.entry-utility abbr:hover {
	border-bottom: 1px dotted #666;
}
.entry-content,
.entry-summary {
	clear: both;
	padding: 12px 0 0 0;
}
#content .entry-summary p:last-child {
	margin-bottom: 12px;
}
.entry-content fieldset {
	border: 1px solid #e7e7e7;
	margin: 0 0 24px 0;
	padding: 24px;
}
.entry-content fieldset legend {
	background: #fff;
	color: #000;
	font-weight: bold;
	padding: 0 24px;
}
.entry-content input {
	margin: 0 0 24px 0;
}
.entry-content input.file,
.entry-content input.button {
	margin-right: 24px;
}
.entry-content label {
	color: #888;
	font-size: 12px;
}
.entry-content select {
	margin: 0 0 24px 0;
}
.entry-content sup,
.entry-content sub {
	font-size: 10px;
}
.entry-content blockquote.left {
	float: left;
	margin-left: 0;
	margin-right: 24px;
	text-align: right;
	width: 33%;
}
.entry-content blockquote.right {
	float: right;
	margin-left: 24px;
	margin-right: 0;
	text-align: left;
	width: 33%;
}

/* =Asides
-------------------------------------------------------------- */

.home #content .category-asides p {
	font-size: 14px;
	line-height: 20px;
	margin-bottom: 10px;
	margin-top: 0;
}
.home .hentry.category-asides {
	padding: 0;
}
.home #content .category-asides .entry-content {
	padding-top: 0;
}


/* =Gallery listing
-------------------------------------------------------------- */

.category-gallery .size-thumbnail img {
	border: 10px solid #f1f1f1;
	margin-bottom: 0;
}
.category-gallery .gallery-thumb {
	float: left;
	margin-right: 20px;
	margin-top: -4px;
}
.home #content .category-gallery .entry-utility {
	padding-top: 4px;
}


/* =Attachment pages
-------------------------------------------------------------- */

.attachment .entry-content .entry-caption {
	font-size: 140%;
	margin-top: 24px;
}
.attachment .entry-content .nav-previous a:before {
	content: '\2190\00a0';
}
.attachment .entry-content .nav-next a:after {
	content: '\00a0\2192';
}


/* =Images
-------------------------------------------------------------- */

#content img {
	margin: 0;
	height: auto;
	max-width: 640px;
	width: auto;
}
#content .attachment img {
	max-width: 900px;
}
#content .alignleft,
#content img.alignleft {
	display: inline;
	float: left;
	margin-right: 24px;
	margin-top: 4px;
}
#content .alignright,
#content img.alignright {
	display: inline;
	float: right;
	margin-left: 24px;
	margin-top: 4px;
}
#content .aligncenter,
#content img.aligncenter {
	clear: both;
	display: block;
	margin-left: auto;
	margin-right: auto;
}
#content img.alignleft,
#content img.alignright,
#content img.aligncenter {
	margin-bottom: 12px;
}
#content .wp-caption {
	background: #f1f1f1;
	line-height: 18px;
	margin-bottom: 20px;
	padding: 4px;
	text-align: center;
}
#content .wp-caption img {
	margin: 5px 5px 0;
}
#content .wp-caption p.wp-caption-text {
	color: #888;
	font-size: 12px;
	margin: 5px;
}
#content .wp-smiley {
	margin: 0;
}
#content .gallery {
	margin: 0 auto 18px;
}
#content .gallery .gallery-item {
	float: left;
	margin-top: 0;
	text-align: center;
	width: 33%;
}
#content .gallery img {
	border: 2px solid #cfcfcf;
}
#content .gallery .gallery-caption {
	color: #888;
	font-size: 12px;
	margin: 0 0 12px;
}
#content .gallery dl {
	margin: 0;
}
#content .gallery img {
	border: 10px solid #f1f1f1;
}
#content .gallery br+br {
	display: none;
}
#content .attachment img { /* single attachment images should be centered */
	display: block;
	margin: 0 auto;
}


/* =Navigation
-------------------------------------------------------------- */


.navigation a:link,
.navigation a:visited {

	text-decoration: none;
}
.navigation a:active,
.navigation a:hover {

}
.nav-previous {
	float: left;
	width: 50%;
}
.nav-next {
	float: right;
	text-align: right;
	width: 50%;
}
#nav-above {
	margin: 0 0 18px 0;
}
#nav-above {
	display: none;
}
.paged #nav-above,
.single #nav-above {
	display: block;
}
#nav-below {
	margin: -18px 0 0 0;
}


/* =Comments
-------------------------------------------------------------- */
#comments {
	clear: both;
}

.comments-link {
	float: right;
	clear: both;
}
#comments .navigation {
	padding: 0 0 18px 0;
}
h3#comments-title,
h3#reply-title {

}
h3#comments-title {

}
.commentlist {
	list-style: none;
	margin: 0;
}
.commentlist li.comment {
	border-bottom: 1px solid #e7e7e7;
	line-height: 24px;
	margin: 0 0 24px 0;
	padding: 0 0 0 56px;
	position: relative;
}
.commentlist li:last-child {
	border-bottom: none;
	margin-bottom: 0;
}
#comments .comment-body ul,
#comments .comment-body ol {
	margin-bottom: 18px;
}
#comments .comment-body p:last-child {
	margin-bottom: 6px;
}
#comments .comment-body blockquote p:last-child {
	margin-bottom: 24px;
}
.commentlist ol {
	list-style: decimal;
}
.commentlist .avatar {
	position: absolute;
	top: 4px;
	left: 0;
}
.comment-author {
}
.comment-author cite {

	font-style: normal;
	font-weight: normal;
}
.comment-author .says {
	font-style: italic;
}
.comment-meta {
	font-size: 12px;
	margin: 0 0 18px 0;
}
.comment-meta a:link,
.comment-meta a:visited {

	text-decoration: none;
}
.comment-meta a:active,
.comment-meta a:hover {

}
.commentlist .even {
}
.commentlist .bypostauthor {
}
.reply {
	font-size: 12px;
	padding: 0 0 24px 0;
}
.reply a,
a.comment-edit-link {
	color: #036;
}
.reply a:hover,
a.comment-edit-link:hover {

}
.commentlist .children {
	list-style: none;
	margin: 0;
}
.commentlist .children li {
	border: none;
	margin: 0;
}
.nopassword,
.nocomments {
	display: none;
}
#comments .pingback {
	border-bottom: 1px solid #e7e7e7;
	margin-bottom: 18px;
	padding-bottom: 18px;
}
.commentlist li.comment+li.pingback {
	margin-top: -6px;
}
#comments .pingback p {
	color: #888;
	display: block;
	font-size: 12px;
	line-height: 18px;
	margin: 0;
}
#comments .pingback .url {
	font-size: 13px;
	font-style: italic;
}

/* Comments form */
input[type=submit] {
	color: #333;
}
#respond {
	border-top: 1px solid #e7e7e7;
	margin: 24px 0;
	overflow: hidden;
	position: relative;
}
#respond p {
	margin: 0;
}
#respond .comment-notes {
	margin-bottom: 1em;
}
.form-allowed-tags {
	line-height: 1em;
}
.children #respond {
	margin: 0 48px 0 0;
}
h3#reply-title {
	margin: 18px 0;
}
#comments-list #respond {
	margin: 0 0 18px 0;
}
#comments-list ul #respond {
	margin: 0;
}
#cancel-comment-reply-link {
	font-size: 12px;
	font-weight: normal;
	line-height: 18px;
}
#respond .required {
	color: #ff4b33;
	font-weight: bold;
}
#respond label {
	color: #888;
	font-size: 12px;
}
#respond input {
	margin: 0 0 9px;
	width: 98%;
}
#respond textarea {
	width: 98%;
}
#respond .form-allowed-tags {
	color: #888;
	font-size: 12px;
	line-height: 18px;
}
#respond .form-allowed-tags code {
	font-size: 11px;
}
#respond .form-submit {
	margin: 12px 0;
}
#respond .form-submit input {
	font-size: 14px;
	width: auto;
}


/* =Widget Areas
-------------------------------------------------------------- */

.widget-area ul {
	list-style: none;
	margin-left: 0;
}
.widget-area ul ul {
	list-style: square;
	margin-left: 1.3em;
}
.widget_search #s {/* This keeps the search inputs in line */
	width: 60%;
}
.widget_search label {
	display: none;
}
.widget-container {
	margin: 0 0 18px 0;
}
.widget-title {
	padding-bottom: 10px;
}
.widget-area a:link,
.widget-area a:visited {
	text-decoration: none;
}
.widget-area a:active,
.widget-area a:hover {
	text-decoration: none;
}
.widget-area .entry-meta {
	font-size: 11px;
}
#wp_tag_cloud div {
	line-height: 1.6em;
}
#wp-calendar {
	width: 100%;
}
#wp-calendar caption {
	font-size: 14px;
	font-weight: normal;
	padding-bottom: 4px;
	text-align: left;
}
#wp-calendar thead {
	font-size: 11px;
}
#wp-calendar thead th {
}
#wp-calendar tbody {
	color: #aaa;
}
#wp-calendar tbody td {
	background: #f5f5f5;
	border: 1px solid #fff;
	padding: 3px 0 2px;
	text-align: center;
}
#wp-calendar tbody .pad {
	background: none;
}
#wp-calendar tfoot #next {
	text-align: right;
}
.widget_rss a.rsswidget {
	color: #000;
}
.widget_rss a.rsswidget:hover {
	color: #ff4b33;
}
.widget_rss .widget-title img {
	width: 11px;
	height: 11px;
}

/* Main sidebars */
#main .widget-area ul {
	margin-left: 0;
	padding: 0 0px 0 0;
}
#main .widget-area ul ul {
	border: none;
	margin-left: 1.7em;
	padding: 0;
}

#primary {
}
#secondary {
}

/* RSS (syndication)
-------------------------------------------------------------- */
#syndication{
	width: 100%; 
	text-align: right;
	font-size: 11px;
	padding: 0px 0 10px 0;
	white-space:nowrap;
}

#syndication span {
	padding: 5px 2px 0 23px;
	background: url(variations/feed.png) no-repeat 0 1px;
	border-bottom: none;
}


#syndication a.feed{
	padding: 5px 2px 0px 23px;
	background: url(variations/feed.png) no-repeat 0 1px;
	border-bottom: none;
}

/* End RSS (syndication)
-------------------------------------------------------------- */

/* =site info
-------------------------------------------------------------- */

#site-info {
	float: left;
	font-size: 14px;
	font-weight: bold;
	width: 700px;
}
#site-generator {
	float: right;
	width: 220px;
}


/* =Footer
-------------------------------------------------------------- */

#footer {
	margin-bottom: 5px;
}
#colophon {
	border-top: 4px solid #000;
	margin-top: -4px;
	overflow: hidden;
	padding: 18px 0;
}
#site-info {
	font-weight: bold;
}
#site-info a {
	color: #000;
	text-decoration: none;
}
#site-generator {
	font-style: italic;
	position: relative;
}
#site-generator a {
	background: url(images/wordpress.png) center left no-repeat;
	color: #666;
	display: inline-block;
	line-height: 16px;
	padding-left: 20px;
	text-decoration: none;
}
#site-generator a:hover {
	text-decoration: underline;
}
img#wpstats {
	display: block;
	margin: 0 auto 10px;
}


/* =Mobile Safari ( iPad, iPhone and iPod Touch )
-------------------------------------------------------------- */

pre {
	-webkit-text-size-adjust: 140%;
}
code {
	-webkit-text-size-adjust: 160%;
}
#access,
.entry-meta,
.entry-utility,
.navigation,
.widget-area {
	-webkit-text-size-adjust: 120%;
}
#site-description {
	-webkit-text-size-adjust: none;
}

/* =Print Style
-------------------------------------------------------------- */

@media print {
	body {
		background: none !important;
	}
	#wrapper {
		clear: both !important;
		display: block !important;
		float: none !important;
		position: relative !important;
	}
	#header {
		border-bottom: 2pt solid #000;
		padding-bottom: 18pt;
	}
	#colophon {
		border-top: 2pt solid #000;
	}
	#site-title,
	#site-description {
		float: none;
		line-height: 1.4em;
		margin: 0;
		padding: 0;
	}

	.entry-content {
		font-size: 14pt;
		line-height: 1.6em;
	}
	.entry-title {
		font-size: 21pt;
	}
	#access,
	#branding img,
	#respond,
	.comment-edit-link,
	.edit-link,
	.navigation,
	.page-link,
	.widget-area {
		display: none !important;
	}
	#container,
	#header,
	#footer {
		margin: 0;
		width: 100%;
	}
	#content,
	.one-column #content {
		margin: 24pt 0 0;
		width: 100%;
	}
	.wp-caption p {
		font-size: 11pt;
	}
	#site-info,
	#site-generator {
		float: none;
		width: auto;
	}
	#colophon {
		width: auto;
	}
	img#wpstats {
		display: none;
	}
	#site-generator a {
		margin: 0;
		padding: 0;
	}
	#entry-author-info {
		border: 1px solid #e7e7e7;
	}
	#main {
		display: inline;
	}
	.home .sticky {
		border: none;
	}
}

/* End general content
-------------------------------------------------------------- */	

/* --------------------------------------------------------------
Translucence default css 
LAYOUT: 1-3 columns
DESCRIPTION: 1-3 column fixed layout
-------------------------------------------------------------- */

/* =css translucence theme options update
* add all of this css to the style.css of child theme
-------------------------------------------------------------- */
 
/* The main theme structure */	
 
body {
	font-family:'Helvetica Neue',Arial,Helvetica,sans-serif;
	color: #444444;
	background-color: #FFFFFF;
	background-image: url('http://localhost.localdomain/~achapin/wordpress/wp-content/themes/2010-translucence/variations/translucence-gray-white/bg_topdark.jpg');
	background-repeat: repeat-x;
	background-position: top center;
	background-attachment: fixed;
	margin-top: 10px;
}
 
#access .menu-header,
div.menu,
#branding,
#main,
#wrapper {
	margin: 0 auto;
	width: 950px;
}
 
#wrapper {
	background-color: rgba(255, 255, 255, 0);
	
	box-shadow: 0px 0px 0px rgba(0,0,0,0.2);
	-moz-box-shadow: 0px 0px 0px rgba(0,0,0,0.2);
	-webkit-box-shadow: 0px 0px 0px rgba(0,0,0,0.2);
	
	border-top: 1px none #CCCCCC;
	border-bottom: 1px none #CCCCCC;
	border-left: 1px none #CCCCCC;
	border-right: 1px none #CCCCCC;
	margin-top: 1px;
	margin-bottom: 10px;
	padding: 10px 10px;
}
 
.sitewrapper {
	width: 950px;
	margin-left: auto;
	margin-right: auto;
	margin-top: 0px;
}
 
 
/* The theme meta areas */
 
.headermeta_left {
	font-size: 12px;
	width: 50%;	
	text-align: left;
	margin-left: 0px;
}
 
.headermeta_right {
	font-size: 12px;
	width: 45%;
	text-align: right;
	float: right;
	clear: left;
	margin-right: 0px;
}
 
.footermeta_left {
	font-size: 12px;
	width: 50%;	
	text-align: left;
	margin-left: 10px;
	padding-top: 5px;
	padding-bottom: 10px;
}
 
.footermeta_right {
	font-size: 12px;
	width: 40%;
	text-align: right;
	float: right;
	margin-right: 10px;
	padding-top: 5px;
	padding-bottom: 10px;
}			
 
/* The theme header area */
 
#header {
	padding: 0 0 0 4px;
}
	
#branding {
	margin: 0 auto;
	width: 950px;		
}
 
.headerblock {
	color: #444444;
	background-color: rgba(255, 255, 255, .6);
	border-top: 1px dotted #CCCCCC;
	border-bottom: 1px dotted #CCCCCC;
	border-left: 1px dotted #CCCCCC;
	border-right: 1px dotted #CCCCCC;				
	padding-top: 0px;
	width: 943px;
	height: 100px;
}
 
.headerblock:hover {
	background-color: rgba(255, 255, 255, 0.9);
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;	 
}
 
#branding #site-title {
	color: #003366;
	font-size: 30px;
	font-weight: normal;
	border-bottom: none;
	text-shadow: #444444 1px 1px 2px;
}
 
.title-box {
	position: relative;
	top: 25px;
	background-color: rgba(, );
	border-top: 1px none #CCCCCC;
	border-bottom: 1px none #CCCCCC;
	border-left: 1px none #CCCCCC;
	border-right: 1px none #CCCCCC;
	padding: 3px 10px 3px 1px;
	margin-left: 10px;
}
 
.description-box {
	position: relative;
	top: 25px;
	background-color: rgba(, );
	border-top: 1px none #CCCCCC;
	border-bottom: 1px none #CCCCCC;
	border-left: 1px none #CCCCCC;
	border-right: 1px none #CCCCCC;
	padding: 3px 10px 3px 1px;
	margin-left: 10px;
}
 
 
#site-title a {
	font-size: 30px;
	color: #003366;
	display: inline;
	text-shadow: #444444 1px 1px 2px;
}
 
#site-title a:hover {
	display: inline;
	color: #003366;
	border-bottom: none;
}
 
.headerblock #site-description {
	position: relative;
	top: 37px;
	display: inline;
	padding-left: 15px;
	color: #333333;
	font-size: px;
}
 
/* Misc full width area settings */
 
#footer {
	clear: both;
	width: 950px;
}
 
/* Full width content with no sidebar; used for attachment pages */
.single-attachment #content {
	margin: 0 auto;
	width: 950px;
}
 
/* =Content and Container
-------------------------------------------------------------- */	
 
#container {
	overflow: hidden;
	margin: 0 0px 0 0;
	padding: 0px 0px 0px 4px;
	width: 100%;			
}
 
#content {
	float: left;
	margin-top: 0px;
	margin-right: 1px;
	
	width: 630px;
	color: #444444;
	background-color: rgba(255, 255, 255, 1);
	padding: 20px;
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;
	
	font-size: 14px;
	line-height: 21px;
}
 
 
/* =Widget Areas (primary, secondary, tertiary, footer-widget-area)
-------------------------------------------------------------- */	
 
#tertiary {
	float: left;
	margin-top: 0px;
	margin-right: 1px;
	
	color: #444444;
	background-color: rgba(249, 249, 249, .6);
	border-top: 1px dotted #CCCCCC;
	border-bottom: 1px dotted #CCCCCC;
	border-left: 1px dotted #CCCCCC;
	border-right: 1px dotted #CCCCCC;
	
	width: 0px;
	visibility: hidden;
	padding-top: 10px;
	padding-left: 0px;
	padding-right: 0px;
	
}
 
#tertiary:hover {
	background-color: rgba(249, 249, 249, 0.9);
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;
}
		
#primary {
	float: left;
	margin-top: 0px;
	margin-right: 1px;
	margin-bottom: auto;
	
	color: #444444;
	background-color: rgba(249, 249, 249, .3);
	border-top: 1px dotted #CCCCCC;
	border-bottom: 1px dotted #CCCCCC;
	border-left: 1px dotted #CCCCCC;
	border-right: 1px dotted #CCCCCC;
 
	width: 200px;
	visibility: visible;
	padding-top: 10px;
	padding-left: 25px;
	padding-right: 25px;
	
}
 
#primary:hover {
	background-color: rgba(249, 249, 249, 0.6);
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;
}
 
#secondary {
	float: left;
	margin-top: 0px;
	margin-right: 0px;
 
	color: #444444;
	background-color: rgba(249, 249, 249, 0);
	border-top: 1px dotted #CCCCCC;
	border-bottom: 1px dotted #CCCCCC;
	border-left: 1px dotted #CCCCCC;
	border-right: 1px dotted #CCCCCC;
 
	width: 0px;
	visibility: hidden;
	padding-top: 10px;
	padding-left: 0px;
	padding-right: 0px;
 
}
 
#secondary:hover {
	background-color: rgba(249, 249, 249, 0.3);
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;
}
 
#footer-widget-area {
	border-top: 1px dotted #CCCCCC;
	border-bottom: 1px dotted #CCCCCC;
	border-left: 1px dotted #CCCCCC;
	border-right: 1px dotted #CCCCCC;	
	
	color:  #444444;
	background-color: rgba(249, 249, 249, 0);
	
	overflow: hidden;
	width: 943px;
	padding: 20px 0px 0px 4px;
}
 
#footer-widget-area:hover {
	background-color: rgba(249, 249, 249, 0.3);
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;		
}	
 
#footer-widget-area .widget-area {
	float: left;
	background-color: transparent;
	margin-right: 1px;
	width: 465px;
}
 
#footer-widget-area #fourth {
	margin-right: 0;
}
 
 
/* Begin widget links */
#tertiary a {
	color: #003366;
	border-bottom:1px none #003366;
}
		
#tertiary a:hover {
	color: #003366;
	border-bottom:1px solid #003366;
}
 
#primary a {
	color: #003366;
	border-bottom:1px none #003366;
}
		
#primary a:hover {
	color: #003366;
	border-bottom:1px solid #003366;
}
 
#secondary a {
	color: #003366;
	border-bottom:1px none #003366;
}
 
#secondary a:hover {
	color: #003366;
	border-bottom:1px solid #003366;
}
 
#footer-widget-area a {
	color: #003366;		
}
 
#footer-widget-area a:hover {
	color: #003366;	
	border-bottom: 1px solid #003366;	
}
/* End widget links */
 
/* Begin widget headings */
.topblock h2 {
	color: #003366;
	padding-left: 0px;
	border-bottom: 1px none #CCCCCC;
}
 
.bottomblock h2 {
	color: #003366;
	padding-left: 0px;
	border-bottom: 1px none #CCCCCC;
}
 
		
#primary h2, #primary h3 {
	color: #222222;
	padding-left: 2px;
	border-bottom: 1px none #CCCCCC;
}
 
#secondary h2, #secondary h3 {
	color: #222222;
	padding-left: 2px;
	border-bottom: 1px none #CCCCCC;
}
 
#tertiary h2, #tertiary h3 {
	color: #222222;
	padding-left: 2px;
	border-bottom: 1px none #CCCCCC;
}
 
#footer-widget-area h2, #footer-widget-area h3 {
	color: #222222;
	padding-left: 2px;
	border-bottom: 1px solid #222222;
}
/* End widget headings */
 
/* Begin widget list css */
#tertiary ul ul li, .tertiary ul ol li {
	color: #444444;
	list-style-type:none;
	margin: 5px 0px 0px -10px;
}
 
#primary ul ul li, #primary ul ol li {
	color: #444444;
	list-style-type:none;
	margin: 5px 0px 0px -10px;
}
 
#secondary ul ul li, .secondary ul ol li {
	color: #444444;
	list-style-type:none;
	margin: 3px 0 0px -10px;
}
 
#footer-widget-area ul ul li, .footer-widget-area ul ol li {
	color: #444444;
	list-style-type:none;
	margin: 3px 0 0px -10px;
}
/* End widget list css */
 
/* Begin sidebar search form */
#tertiary  #searchform #s {
	background-color: #FFFFFF;
	color: #003366;
	border: 1px solid #999999;
	width: 108px;
	padding: 2px;			
}
 
#primary  #searchform #s {
	background-color: #FFFFFF;
	color: #003366;
	border: 1px solid #999999;
	width: 108px;
	padding: 2px;				
}
 
#secondary  #searchform #s {
	background-color: #FFFFFF;
	color: #003366;
	border: 1px solid #999999;
	width: 108px;
	padding: 2px;			
}
/* End widget search form */
 
/* Begin widget area separators */
#colophon {
	border-top: 1px none #000;
	margin-top: -4px;
	overflow: hidden;
	padding: 0px 0;
}
						
/* End widget area separators */
 
/* End Widget Areas (primary, secondary, tertiary, footer-widget-area)
-------------------------------------------------------------- */	
 
/* =Access (top navigation bar)
-------------------------------------------------------------- */
			
.topblock {
	color:  #444444;
	background-color: rgba(249, 249, 249, .8);
	border-top: 1px none #CCCCCC;
	border-bottom: 1px solid #CCCCCC;	
	border-left: 1px none #CCCCCC;
	border-right: 1px none #CCCCCC;
	padding-top: 3px;
	padding-bottom: 1px;
	padding-left: 10px;
}
 
.topblock a {
	color: #003366;		
}
 
.topblock a:hover {
	color: #003366;	
	border-bottom: 1px solid ;	
}
 
#access {
	color: #444444;
	background-color: rgba(249, 249, 249, .8);
	display: block;
	float: left;
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;	
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;
	width: 943px;
	margin-top: 1px;
	margin-bottom: 20px; 
}
 
#access .menu-header,
div.menu {
	font-size: 13px;
	margin-left: 12px;
	width: 943px;
}
 
#access .menu-header,
div.menu,
#main {
	margin: 0 auto;
	width: 943px;
}
 
#access .menu-header ul,
div.menu ul {
	list-style: none;
	margin: 0;
}
 
#access .menu-header li,
div.menu li {
	float: left;
	position: relative;
}
 
#access a {
	color: #003366;	
	display: block;
	line-height: 38px;
	padding: 0 10px;
	text-decoration: none;
}
			
#access ul ul {
	box-shadow: 0px 0px 2px rgba(0,0,0,0.2);
	-moz-box-shadow: 0px 0px 3px rgba(0,0,0,0.2);
	-webkit-box-shadow: 0px 0px 3px rgba(0,0,0,0.2);
	display: none;
	position: absolute;
	top: 38px;
	left: 0;
	float: left;
	width: 180px;
	z-index: 99999;
}
 
#access ul ul li {
	min-width: 180px;
}
 
#access ul ul ul {
	left: 100%;
	top: 0;
}
 
#access ul ul a {
	background-color: rgba(249, 249, 249, .8);
	line-height: 1em;
	padding: 10px;
	width: 160px;
	height: auto;
}	
 
#access li:hover > a,
#access ul ul :hover > a {
	color:  #003366;
	background-color: ;
	text-decoration: underline;	
	border-bottom: none;
}
 
#access ul li:hover > ul {
	display: block;
	border-bottom: none;
}
 
#access .sub-menu,
#access .children {
	background-color: ;
	box-shadow: 0px 0px 3px #444444;
	-moz-box-shadow: 0px 0px 3px #444444;
	-webkit-box-shadow: 0px 0px 3px #444444;
	border-top: 1px none #CCCCCC;
	border-bottom: 1px solid #CCCCCC;	
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;
}
 
#access .sub-menu ul,
#access .children ul {
	border-bottom: 1px solid #CCCCCC;
}
 
#access .sub-menu ul li {
	border-bottom: none;
}	
 
#access ul li.current_page_item > a,
#access ul li.current-menu-ancestor > a,
#access ul li.current-menu-item > a,
#access ul li.current-menu-parent > a {
	color:  #444444;		
}
 
* html #access ul li.current_page_item a,
* html #access ul li.current-menu-ancestor a,
* html #access ul li.current-menu-item a,
* html #access ul li.current-menu-parent a,
* html #access ul li a:hover {
	color:  #444444;
	border-bottom: none;
}
 
/* End Access (top navigation bar)
-------------------------------------------------------------- */	
 
/* Begin post/page entry css
-------------------------------------------------------------- */						
 
/* Entry titles */
#content .entry-title {
	color: #003366;
	font-weight: normal;
	line-height: 1.3em;
	margin-bottom: 0;				
	display: block;
	text-align: left;
	text-shadow: #CCCCCC 1px 1px 0.05em;
	border-bottom: 1px solid #CCCCCC;
}
 
#content .entry-title:hover {
	border-bottom: 1px solid #003366;
}
 
#content .entry-title a {
	display: block;
	border-bottom: none;
}
 
.entry-title a:link,
.entry-title a:visited {
	color: #003366;
}
 
/* Entry Headers */
h1, h2, h3 {
	color: #444444;
	border-bottom: 1px solid #CCCCCC;
}
 
a, h2 a:hover, h3 a:hover {
	color: #003366;
	text-decoration: none;
}
 
a:hover {
	color: #003366;
	border-bottom:1px solid #003366;
	text-decoration: none;
}
 
/* Entry-content links */
.entry-content {
	text-align: left;
}
 
.entry-content a {
	color: #003366;	
	text-decoration:none;
	border-bottom: 1px dotted ;
	padding:0.07em;
}
 
.entry-content a:hover {
	border-bottom: 1px solid; 
	background-color: #efc;
}
 
.entry-content a:visited {
	color: #000000;		
	border-bottom: 1px dotted ;
}
 
/* Entry-more links */
.more-link {
	display: block;			
	text-align: center;
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px dotted #CCCCCC;
	text-decoration: none;
}
 
.more-link:hover {
	background-color: transparent;
	color: #003366;
	border-top: 1px solid #003366;
	border-bottom: 1px dotted #003366;
}
 
/* Entry-content headers */
 
.entry-content h2, .entry-content h3, .entry-content h1 {
	color: #444444;
	border-bottom: 1px solid #CCCCCC;
}
 
.entry-content h2:hover, .entry-content h3:hover, .entry-content h1:hover {
	border-bottom: 1px solid #CCCCCC;
}
 
.entry-content h2 a, .entry-content h3 a, .entry-content h1 a {
	display: block;
	text-decoration: none;
	border-bottom: none;
}
 
.entry-content h2 a:hover, .entry-content h3 a:hover, .entry-content h1 a:hover {
	display: block;
	border-bottom: none;
	text-decoration: none;
}
 
.entry-content h2 a:visited, .entry-content h3 a:visited, .entry-content h1 a:visited {
	display: block;
	text-decoration: none;
	border-bottom: none;
}
 
/* Entry-meta  */
.entry-meta {
	color: #444444;
	font-size: 12px;
}
 
.entry-meta a,
.entry-utility a {
	color: #003366;
}
.entry-meta a:hover,
.entry-utility a:hover {
	color: #003366;
}
 
/* Post metadata */
.postmetadata.alt {
	clear: both;
	text-align: center;
	margin-top: 10px;
	border-top: 1px solid #CCCCCC;
	border-left: 1px none #CCCCCC;
}
			
.postmetadata.alt:hover {
	border-top: 1px solid #003366;
}
 
.postmetadata.alt a {
	display: block;
	color: #003366;
	padding-bottom: 2px;
	border-bottom: 1px dotted #CCCCCC;
	text-decoration: none;
}
 
.postmetadata.alt a:hover {
	background-color: transparent;
	color: #003366;
	border-bottom: 1px dotted #003366;
}
 
/* Begin tag links */
.tag-links a {	
	color: #003366;	
	background-color: #FFF8C6;
	border-top: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	border-left: 1px solid #CCCCCC;
	border-right: 1px solid #CCCCCC;
	
	cursor:pointer; 
	display:inline-block; 
	margin:2px 0.2em; padding:0.1em 0.2em;	
}
 
.tag-links a:hover {
	color: #003366;
	background-color: #FFF8C6;
	border-top: 1px solid #003366;
	border-bottom: 1px solid #003366;
	border-left: 1px solid #003366;
	border-right: 1px solid #003366;
}
 
/* Begin category links */
 
.cat-links a {	
	color: #003366;
	
	background-color: #e9e9c9;
	border-top: 1px solid #999999;
	border-bottom: 1px solid #999999;
	border-left: 1px solid #999999;
	border-right: 1px solid #999999;
	
	cursor:pointer; 
	display:inline-block; 
	margin:2px 0.2em; padding:0.1em 0.2em;	
}
 
.cat-links a:hover {
	background-color: #e9e9c9;
	
	border-top: 1px solid #003366;
	border-bottom: 1px solid #003366;
	border-left: 1px solid #003366;
	border-right: 1px solid #003366;
}	
 
 
/* Begin editing UI links */
 
.edit-link {
	clear: both;
	display: block;
}
 
.post-link a {
	color: #003366;
	display: block;
	border: 1px dotted #003366;
	text-align: center;
	padding: 5px;
	margin-bottom: 10px;
}
 
.post-link a:hover {
	display: block;
	border: 1px solid #003366;
 
}
 
.edit-link a {
	display: block;
	border: 1px dotted #003366;
	text-align: center;
	text-decoration: none;
	padding: 1px;
	margin-top: 10px;
	margin-bottom: 10px;
}
 
.edit-link a:hover {
	background-color: transparent;
	text-decoration: none;
	border: 1px solid #003366;
}	
 
		
/* Begin comments */
 
.reply a,
a.comment-edit-link {
	color: #003366;
}
 
.comment-meta a:link,
.comment-meta a:visited {
	color: #003366;
	text-decoration: none;
}
 
#commentform textarea {
	background-color: #FFFFFF;
	color: #000000;
}
 
.thread-alt {
	background-color: #f8f8f8;
}
.thread-even {
	background-color: #FFFFFF;
}
 
/* Begin navigation */
.navigation a:link,
.navigation a:visited {
	color: #003366;
	text-decoration: none;
}
 
/* Begin syndication */
#syndication a {
	color: #003366;
}
 
#syndication a:visited {
	color: #003366;
}
 
 
/* Begin background text and link color */
.bgtextcolor {
	color: #999999;
}
 
.bgtextcolor a {
	color: #666666;
}
 
.bgtextcolor a:hover {
	color: #666666;
	border-bottom: 1px solid #666666;
}
 
small, .nocomments, .postmetadata, blockquote, strike {		
	color: #444444;
}	
 
	# {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#99FFFFFF,endColorstr=#99FFFFFF);zoom: 1;}
#access {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#CCF9F9F9,endColorstr=#CCF9F9F9);zoom: 1;}
#access ul ul a, #access li:hover > a, #access ul ul :hover > a {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#CCF9F9F9,endColorstr=#CCF9F9F9);zoom: 1;}
#content {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#FFFFFFFF,endColorstr=#FFFFFFFF);zoom: 1;}
#footer-widget-area {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#00F9F9F9,endColorstr=#00F9F9F9);zoom: 1;}
#tertiary {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#99F9F9F9,endColorstr=#99F9F9F9);zoom: 1;}
#primary {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#4CF9F9F9,endColorstr=#4CF9F9F9);zoom: 1;}
#secondary {*background:transparent;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#00F9F9F9,endColorstr=#00F9F9F9);zoom: 1;}
